| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::BlitPassMTL Class Referencefinal

`#include <blit_pass_mtl.h>`

Inheritance diagram for impeller::BlitPassMTL:

## Public Member Functions
| ~BlitPassMTL () override
Public Member Functions inherited from impeller::BlitPass
virtual | ~BlitPass ()
void | SetLabel (std::string_view label)
virtual bool | ConvertTextureToShaderRead (const std::shared_ptr< Texture > &texture)
| If the texture is not already in a shader read internal state, then convert it to that state. More...
bool | AddCopy (std::shared_ptr< Texture > source, std::shared_ptr< Texture > destination, std::optional< IRect > source_region=std::nullopt, IPoint destination_origin={}, std::string_view label="")
| Record a command to copy the contents of one texture to another texture. The blit area is limited by the intersection of the texture coverage with respect the source region and destination origin. More...
bool | AddCopy (std::shared_ptr< Texture > source, std::shared_ptr< DeviceBuffer > destination, std::optional< IRect > source_region=std::nullopt, size_t destination_offset=0, std::string_view label="")
| Record a command to copy the contents of a texture to a buffer. More...
bool | AddCopy (BufferView source, std::shared_ptr< Texture > destination, std::optional< IRect > destination_region=std::nullopt, std::string_view label="", uint32_t mip_level=0, uint32_t slice=0, bool convert_to_read=true)
| Record a command to copy the contents of a buffer to a texture. More...
bool | GenerateMipmap (std::shared_ptr< Texture > texture, std::string_view label="")
| Record a command to generate all mip levels for a texture. More...

## Friends
class | CommandBufferMTL

## Additional Inherited Members
Protected Member Functions inherited from impeller::BlitPass
| BlitPass ()

## Detailed Description

Definition at line 14 of file blit_pass_mtl.h.

## Constructor & Destructor Documentation

## ◆ ~BlitPassMTL()

impeller::BlitPassMTL::~BlitPassMTL | ( |  | ) |
| override

Definition at line 44 of file blit_pass_mtl.mm.

44 {
45 if (!did_finish_encoding_) {
46 [encoder_ endEncoding];
47 }
48 }

## Friends And Related Function Documentation

## ◆ CommandBufferMTL

friend class CommandBufferMTL
| friend

Definition at line 20 of file blit_pass_mtl.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/metal/blit_pass_mtl.h
- impeller/renderer/backend/metal/blit_pass_mtl.mm